import 'package:oauth2_client/oauth2_client.dart';

class MyOAuth2Client extends OAuth2Client {
  MyOAuth2Client(
      {required String redirectUri,
      required String customUriScheme,
      required String tokenUrl,
      required String authorizeUrl})
      : super(
          authorizeUrl: authorizeUrl,
          tokenUrl: tokenUrl,
          redirectUri: redirectUri,
          customUriScheme: customUriScheme,
          refreshUrl: tokenUrl,
          revokeUrl: tokenUrl,
        );
}
